Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class UpdateManager.UpdateManagerRunHander

    java.lang.Object
      org.apache.batik.bridge.UpdateManager.UpdateManagerRunHander

All Implemented Interfaces:
  RunnableQueue.RunHandler

Enclosing class:
  UpdateManager

protected class UpdateManager.UpdateManagerRunHander
extends java.lang.Object
implements RunnableQueue.RunHandler

Constructor Summary
`protected` | `UpdateManager.UpdateManagerRunHander()`

Method Summary
`void` | `executionResumed(RunnableQueue rq)` Called when the execution of the queue has been resumed.
`void` | `executionSuspended(RunnableQueue rq)` Called when the execution of the queue has been suspended.
`void` | `runnableInvoked(RunnableQueue rq, java.lang.Runnable r)` Called when the given Runnable has just been invoked and has returned.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateManager.UpdateManagerRunHander

    protected UpdateManager.UpdateManagerRunHander()

Method Detail

### runnableInvoked

    public void runnableInvoked(RunnableQueue rq,
                                java.lang.Runnable r)

  Called when the given Runnable has just been invoked and has returned.

  Specified by:
    `runnableInvoked` in interface `RunnableQueue.RunHandler`

### executionSuspended

    public void executionSuspended(RunnableQueue rq)

  Called when the execution of the queue has been suspended.

  Specified by:
    `executionSuspended` in interface `RunnableQueue.RunHandler`

### executionResumed

    public void executionResumed(RunnableQueue rq)

  Called when the execution of the queue has been resumed.

  Specified by:
    `executionResumed` in interface `RunnableQueue.RunHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.